import {
    HTTP
} from './Http.js'
class ApiModel extends HTTP {
    /* 获取验证码 */
    getPassword(data) {
        return this.request({
            url: "/getpassword",
            data
        })
    }
    /* 登录 */
    login(data) {
        return this.request({
            url: "/login",
            data
        })
    }
    /* 基本通用 */
    basic(data, loading = true) {
        return this.request({
            url: "",
            data,
            loading
        })
    }
    /* 注销登录 */
    logout(data) {
        return this.request({
            url: "/logout",
            data
        })
    }
}
export {
    ApiModel
}